Skip to content

Options

All operations require authentication.

7 operationsv1/sms/{serviceName}
Agent setup

List blacklisted numbersProduction

GET
/1.0/sms/{serviceName}/blacklists

List blacklisted numbers. Returns the numbers that replied STOP and no longer receive SMS from the account.

Path parameters

serviceName
required
string

The internal name of your SMS offer

Query parameters

batchID
stringuuid

Filter the value of batchID property (=)

smsOutgoingID
integer

Filter the value of smsOutgoingID property (=)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/blacklists \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a blacklisted numberProduction

GET
/1.0/sms/{serviceName}/blacklists/{number}

Get a blacklisted number. Returns a blacklisted number, the date it was added, and the sent SMS or batch whose STOP reply added it.

Path parameters

number
required
string

The sms number blacklisted

serviceName
required
string

The internal name of your SMS offer

Response

200Blacklistsuccessful operation
batchID
read-only
stringuuid

ID of the batch responsible of the blacklist

dateCreation
read-only
stringdate-time
—
number
read-only
string

The sms number blacklisted

smsOutgoingID
read-only
integer

ID of the outgoing SMS responsible of the blacklist

Example uses number = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/blacklists/{number} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "batchID": "00000000-0000-0000-0000-000000000000", "dateCreation": "2024-01-01T12:00:00Z", "number": "string", "smsOutgoingID": 0}

Delete a blacklisted numberProduction

DELETE
/1.0/sms/{serviceName}/blacklists/{number}

Delete a blacklisted number. Removes the number from the blacklist of the account, so it can receive SMS from the account again.

Path parameters

number
required
string

The sms number blacklisted

serviceName
required
string

The internal name of your SMS offer

Response

200—successful operation

Example uses number = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/blacklists/{number} \
  -H "authorization: Bearer $OVH_TOKEN"

List SMPP allowed IPsProduction

GET
/1.0/sms/{serviceName}/smpp/allowedIPs

Returns the IP addresses allowed to connect to the SMPP account.

Path parameters

serviceName
required
string

The internal name of your SMS offer

Response

200ip[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/smpp/allowedIPs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Add or remove SMPP allowed IPsProduction

PUT
/1.0/sms/{serviceName}/smpp/allowedIPs

Adds or removes IP addresses allowed to connect to the SMPP account, depending on the action.

Path parameters

serviceName
required
string

The internal name of your SMS offer

Request body (required)

action
required
AllowedIPsActionEnum

Action to perform on the provided IPs

Valuesaddremove
ips
required
ip[]

List of IPs to add or remove

Response

200ip[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/smpp/allowedIPs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Renew the SMPP passwordProduction

POST
/1.0/sms/{serviceName}/smpp/password

Generates a new password for the SMPP account.

Path parameters

serviceName
required
string

The internal name of your SMS offer

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/smpp/password \
  -H "authorization: Bearer $OVH_TOKEN"

Get the SMPP settingsProduction

GET
/1.0/sms/{serviceName}/smpp/settings

Returns the SMPP settings: TLS and non-TLS endpoints, system ID, status, throughput and windowing.

Path parameters

serviceName
required
string

The internal name of your SMS offer

Response

200Settingssuccessful operation
endpoints
read-only
SettingsEndpoints[]

Addresses of the TLS and non-TLS endpoints

status
read-only
SettingsStatusEnum

Status of the SMPP account

ValuesDELETEDERRORSUCCESSUNKNOWNUPDATING_IPWAITING_IP
systemID
read-only
string

Username used to connect to OVHcloud SMSC

throughput
read-only
integer

Number of messages allowed per seconds

windowing
read-only
integer

Number of messages treated simultaneously

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sms/{serviceName}/smpp/settings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoints": [ { "secured": "string", "unsecured": "string" } ], "status": "DELETED", "systemID": "string", "throughput": 0, "windowing": 0}